
<?php
	if (!extension_loaded('infosec'))
       {
		if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN')
		{
			dl('php_infosec.dll');
		}
		else
		{
			dl('infosec.so');
		}
	}
	else
	{
		echo "load infosec module success<br/>";
  	}
        if(isset($_POST["base64dec"]))
        {
                $data=$_POST["base64"];
                if(strlen($data) <= 0)
                {
                        echo "WARNING : no input data<br/>";
                }
                else
                {
                        $base64dec = base64dec($data);
                        #echo $base64dec;
			echo "source data : ",current($base64dec),"<br/>";
			echo "source data len: ",next($base64dec),"<br/>";
                }
        }
        exit();
?>
